For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
    • Integrations Beta
      • POSTCreate integration configuration
      • DELDelete integration configuration
      • GETGet all configurations for the integration
      • GETGet an integration configuration
      • PATCHUpdate integration configuration
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewIntegrations Beta

Get all configurations for the integration

GET
/api/v2/integration-configurations/keys/:integrationKey
GET
/api/v2/integration-configurations/keys/:integrationKey
$curl https://app.launchdarkly.com/api/v2/integration-configurations/keys/integrationKey \
> -H "Authorization: <apiKey>"
1{
2 "items": [
3 {
4 "_links": {},
5 "_id": "string",
6 "name": "Example Datadog integration",
7 "_createdAt": 1,
8 "_integrationKey": "datadog",
9 "tags": [
10 "testing"
11 ],
12 "enabled": true,
13 "_access": {
14 "denied": [
15 {
16 "action": "string",
17 "reason": {
18 "effect": "allow",
19 "resources": [
20 "proj/*:env/*;qa_*:/flag/*"
21 ],
22 "notResources": [
23 "string"
24 ],
25 "actions": [
26 "*"
27 ],
28 "notActions": [
29 "string"
30 ],
31 "role_name": "string"
32 }
33 }
34 ],
35 "allowed": [
36 {
37 "action": "string",
38 "reason": {
39 "effect": "allow",
40 "resources": [
41 "proj/*:env/*;qa_*:/flag/*"
42 ],
43 "notResources": [
44 "string"
45 ],
46 "actions": [
47 "*"
48 ],
49 "notActions": [
50 "string"
51 ],
52 "role_name": "string"
53 }
54 }
55 ]
56 },
57 "configValues": {},
58 "capabilityConfig": {},
59 "snowflakeSetupScript": "string",
60 "redshiftSetupScripts": [
61 "string"
62 ],
63 "redshiftIAMPermissionsPolicy": "string",
64 "redshiftIAMTrustPolicy": "string"
65 }
66 ],
67 "_links": {}
68}
Get all integration configurations with the specified integration key. (Excludes [persistent store](https://launchdarkly.com/docs/api/persistent-store-integrations-beta) and [flag import configurations](https://launchdarkly.com/docs/api/flag-import-configurations-beta).).
Was this page helpful?
Previous

Get an integration configuration

Next
Built with

Get all integration configurations with the specified integration key. (Excludes persistent store and flag import configurations.).

Authentication

Authorizationstring
API Key authentication via header

Path parameters

integrationKeystringRequiredformat: "string"
Integration key

Response

List of Integration Configurations
itemslist of objects
An array of integration configurations
_linksmap from strings to objects
The location and content type of related resources

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error